Skip to content
Navigation

Update member

PATCH
https://api.sureshake.com/v2/entities/team/{memberId}

Path parameters

  • memberId
    string
    required
    format: uuid

Request body JSON

  • role
    optional
    admin
    or
    executive
    or
    board_member
    or
    employee
    or
    advisor
  • title
    optional
    string
    or null
    maxLength: 255 · minLength: 1
  • visibleOnProfile
    optional
    boolean

Returns

200

Default Response

JSON
  • id
    string
    required
    format: uuid
  • entityId
    string
    required
    format: uuid
  • userId
    string
    required
  • status
    string
    required
  • role
    owner
    or
    admin
    or
    executive
    or
    board_member
    or
    employee
    or
    advisor
    or null
    required
  • title
    string
    or null
    required
  • portfolioRole
    string
    or null
    required
  • current
    boolean
    required
  • visibleOnProfile
    boolean
    required
  • invitedBy
    string
    required
  • invitedAt
    string
    required
    format: date-time
  • respondedAt
    string
    or null
    required
    format: date-time
  • startDate
    string
    or null
    required
    format: date-time
  • endDate
    string
    or null
    required
    format: date-time
  • createdAt
    string
    required
    format: date-time
  • updatedAt
    string
    required
    format: date-time
  • user
    optional
    object
    or null
    • id
      string
      required
    • name
      string
      or null
      required
    • email
      string
      or null
      required
    • avatar
      string
      or null
      required
    • bio
      optional
      string
      or null
    • company
      optional
      string
      or null
    • title
      optional
      string
      or null
  • entity
    optional
    object
    or null
    • id
      string
      required
      format: uuid
    • name
      string
      required
    • slug
      optional
      string
      or null
    • logoUrl
      optional
      string
      or null
    • description
      optional
      string
      or null
  • inviter
    optional
    object
    or null
    • id
      string
      required
    • name
      string
      or null
      required
    • avatar
      string
      or null
      required

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close